# _fluid_sample_t Struct Reference

## Data Fields

char | name [21]
unsigned int | start
unsigned int | end
unsigned int | loopstart
unsigned int | loopend
unsigned int | samplerate
int | origpitch
int | pitchadj
int | sampletype
int | valid
short * | data
int | amplitude_that_reaches_noise_floor_is_valid
| The amplitude, that will lower the level of the sample's loop to the noise floor.
double | amplitude_that_reaches_noise_floor
unsigned int | refcount
| Count the number of playing voices that use this sample.
int(* | notify )(fluid_sample_t *sample, int reason)
| Implement this function if the sample or SoundFont needs to be notified when the sample is no longer used.
void * | userdata
| Pointer to SoundFont specific data.

## Detailed Description

Definition at line 143 of file sfont.h.

## Field Documentation

int _fluid_sample_t::amplitude_that_reaches_noise_floor_is_valid

The amplitude, that will lower the level of the sample's loop to the noise floor.

Needed for note turnoff optimization, will be filled out automatically

Definition at line 161 of file sfont.h.

unsigned int _fluid_sample_t::refcount

Count the number of playing voices that use this sample.

Definition at line 165 of file sfont.h.

int(* _fluid_sample_t::notify)(fluid_sample_t *sample, int reason)

Implement this function if the sample or SoundFont needs to be notified when the sample is no longer used.

The documentation for this struct was generated from the following file:

- include/fluidsynth/sfont.h